Skip to main content
GET
/
server
/
roles
/
{roleId}
Get a specific role
curl --request GET \
  --url https://api.melonly.xyz/api/v1/server/roles/{roleId} \
  --header 'Authorization: <api-key>'
{
  "colour": "<string>",
  "createdAt": 123,
  "extraPermissions": 123,
  "id": "<string>",
  "linkedDiscordRoleId": "<string>",
  "name": "<string>",
  "permissions": "<string>",
  "serverId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://apidocs.melonly.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and the API token.

Path Parameters

roleId
string
required

Role ID

Response

successfully retrieved role details

colour
string
createdAt
integer
extraPermissions
integer
id
string
linkedDiscordRoleId
string
name
string
permissions
string
serverId
string